/*
 * by Dirk Meyer (dinoex)
 * Copyright (C) 2004-2007 Dirk Meyer
 * 
 * By using this file, you agree to the terms and conditions set
 * forth in the GNU General Public License.  More information is    
 * available in the README file.
 * 
 * If you received this file without documentation, it can be
 * downloaded from http://iroffer.dinoex.net/
 * 
 * $Id: dinoex_admin.h,v 1.1 2007/04/22 19:49:30 dinoex Exp $
 * 
 */

void
#ifdef __GNUC__
__attribute__ ((format(printf, 2, 3)))
#endif
a_respond(const userinput * const u, const char *format, ...);

int hide_locked(const userinput * const u, const xdcc *xd);
int a_xdl_space(void);
int a_xdl_left(void);
int reorder_new_groupdesc(const char *group, const char *desc);
int reorder_groupdesc(const char *group);
int add_default_groupdesc(const char *group);
void strtextcpy(char *d, const char *s);

int invalid_group(const userinput * const u, const char *arg);
int invalid_pwd(const userinput * const u, const char *arg);
int invalid_announce(const userinput * const u, const char *arg);
int invalid_pack(const userinput * const u, int num);

void a_xdlock(const userinput * const u);

void a_chlimit(const userinput * const u);
void a_chlimitinfo(const userinput * const u);
void a_lock(const userinput * const u);
void a_unlock(const userinput * const u);
void a_lockgroup(const userinput * const u);
void a_unlockgroup(const userinput * const u);
void a_groupdesc(const userinput * const u);
void a_group(const userinput * const u);
void a_regroup(const userinput * const u);

void a_amsg(const userinput * const u);
void a_hop(const userinput * const u);
void a_identify(const userinput * const u);
void a_holdqueue(const userinput * const u);

/* End of File */
